:root{
    --COLOR_1:#8993ff;
    --COLOR_2:#93acff;
    --COLOR_3:#accbff;
    --COLOR_4:#dbedff;
    --COLOR_5:#f4faff;
    --COLOR_6:rgba(0,0,0, 0.2);
    --COLOR_7:#1F1F1F;
}
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}
body{
    font-family: 'Montserrat', sans-serif;
    background-color: var(--COLOR_5);
    padding-top: 100px;
    color: var(--COLOR_7);
    scroll-behavior: smooth;
}
a{
    text-decoration: none;
    color: var(--COLOR_7);
}
section{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    box-sizing: initial;
    /* opacity: 0; 
    transform: translateY(50px);*/
} 
section h2{
    text-align: center;
}
.container{
    width: 100%;
    max-width: 1000px;
    min-height: calc(100vh - 100px);
    height: fit-content;
    display: flex;
    align-items: center;
    justify-content: space-around;


    opacity: 0; 
    transform: translateY(50px); 
    /* animation: fadeOutUp 1s ease forwards; */
}
.subcontainer{
    width: 40%;
    min-height: calc(100vh - 100px);
    height: fit-content;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;

}
nav{
    width: 100%;
    height: fit-content;
    box-shadow: 0px 0px 10px var(--COLOR_6);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2;
    background-color: var(--COLOR_5);

    display: flex;
    align-items: center;
    justify-content: center;
}
.nav-content-container{
    /* max-width: 1000px; */
    width: 90%;
    min-height: 100px;
    padding: 14px 32px;

    display: flex;
    align-items: center;
    justify-content: space-between;
}
.nav-content-container .logo-wrapper{
    height: 80px;
}
.nav-content-container .logo-wrapper img{
    height: 100%;
    width: auto;
}
.navigation-controls-wrapper{
    display: block;
}
.nav-content-container .navigation-controls-wrapper ul{
    display: flex;
    gap: 40px;
    list-style-type: none;
}
.nav-content-container .navigation-controls-wrapper ul li a:hover{
    color: var(--COLOR_1);
    transition: color 0.5s ease;
}
.hamburger{
    display: none;
}
#home .container{
    max-width: 90% !important;
}
#home .subcontainer:first-child{
    justify-content: center;
}
.hero-heading{
    font-size: 5em;
    line-height: 1;
    letter-spacing: -0.8px;
}
.hero-subheading{
    font-size: 2em;
    text-align: left;
    width: 100%;
    margin-top: 50px;
}
.hero-image{
    width: 100%;
    height: auto;
}
/* #about{
    padding-bottom: 50vh;
} */
#about h2{
    font-size: 2.5em;
}
#about .container{
    max-width: 90% !important;
    margin-top: 100px;
    align-items: start !important;
}
#about .container .subcontainer{
    width: 25%;
    cursor: pointer;
    border-radius: 30px;
    transition: transform 0.3s ease, box-shadow 0.3s ease, padding 0.3s ease;
    height: 550px !important;
    min-height: 550px !important;
}
#about .container .subcontainer:hover{
    transform: scale(1.1);
    box-shadow: 0 0 10px var(--COLOR_6);
    padding: 20px;
}
#about .container .subcontainer img{
    width: 100%;
    height: auto;
    max-height: 50%;
}
#about .container .subcontainer h2{
    color: var(--COLOR_1);
    font-weight: 300;
    font-size: 1.5em;
}
#break{
    height: 50vh;
    background-color: var(--COLOR_1);
}
#break h1{
    color: var(--COLOR_5);
    font-size: 5em;
    text-align: center;
    letter-spacing: -1px;
    line-height: 1;
}
#clients{
    margin-top: 30vh;
    padding-top: 32px;
    background-color: rgba(137, 147, 255, 0.1);
}
#clients h2{
    font-size: 2.5em;
}
#clients .container{
    min-height: 60vh !important;
    max-width: 90% !important;
    align-items: start !important;
}
#clients .subcontainer{
    justify-content: center;
    gap: 50px;
    min-height: 50vh;
}
#clients .subcontainer q{
    width: 70%;
    text-align: center;
    color: var(--COLOR_7);
}
#million{
    margin: 20vh 0;
}
#million h2{
    font-size: 2.5em;
}
#million .container{
    max-width: 90% !important;
    margin-top: 3rem;
}
#million .container, #million .subcontainer{
    min-height: 50vh;
}
#million .subcontainer:first-child{
    justify-content: center;
    align-items: start;
    gap: 3rem;
}
#million .subcontainer:first-child h3{
    font-size: 2em;
    font-weight: normal;
    color: var(--COLOR_1);
}
#million .subcontainer:first-child p{
    line-height: 1.5;
    font-size: 1.2em;
}
#million .subcontainer:first-child p:last-child{
    font-weight: bold;
}
#million .subcontainer:last-child{
    justify-content: center;
    align-items: start;
}
#million .subcontainer:last-child h3{
    font-size: 1.5em;
    font-weight: normal;
    color: var(--COLOR_1);
}
#million .subcontainer:last-child p{
    line-height: 1.5;
    font-size: 1.2em;
    margin-bottom: 1rem;
}
#collaboration{
    margin-bottom: 20vh;
    height: 100vh;
    min-height: 600px;
}
#collaboration h2{
    font-size: 2.5em;
}
.timeLineWrapper{
    width: 100%;
    height: 100%;
    min-height: 600px;
    display: flex;
    align-items: start;
    justify-content: center;
    position: relative;
    margin-top: 4rem;
}
.timeLineEvent{
    position: absolute;
    width: 30%;
    color: var(--COLOR_1);
    opacity: 0;
    transition: opacity 2s ease;
}
.timeLineEvent h3{
    margin-bottom: 1rem;
}
.timeLineEvent p{
    line-height: 1.5;
}
.timeLineEvent:nth-child(2n+1){
    right: 55%;
}
.timeLineEvent:nth-child(2n){
    left: 55%;
}
.timeLineEvent:nth-child(1){
    top: 5%;
    animation: showSteps 1s ease forwards;
    animation-delay: 0.5s;
}
.timeLineEvent:nth-child(2){
    top: 20%;
    animation: showSteps 1s ease forwards;
    animation-delay: 1s;
}
.timeLineEvent:nth-child(3){
    top: 35%;
    animation: showSteps 1s ease forwards;
    animation-delay: 1.5s;
}
.timeLineEvent:nth-child(4){
    top: 50%;
    animation: showSteps 1s ease forwards;
    animation-delay: 2s;
}
.timeLineEvent:nth-child(5){
    top: 65%;
    animation: showSteps 1s ease forwards;
    animation-delay: 2.5s;
}
.timeLineEvent:nth-child(6){
    top: 80%;
    animation: showSteps 1s ease forwards;
    animation-delay: 3s;
}
.timeLine{
    width: 5rem;
    height: 0%;
    transition: height 1s ease;
    background-color: var(--COLOR_1);
    border-radius: 5rem;
    position: relative;
    animation: grow 3s ease forwards;
    overflow: hidden;
}
@keyframes grow {
    from {
      height: 0%;
    }
    to {
      height: 100%;
    }
}
@keyframes showSteps {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
}
.collaborationStep{
    color: white;
    font-weight: bold;
    font-size: 5rem;
    position: absolute;
}
.collaborationStep:nth-child(2n+1){
    left: 0;
}
.collaborationStep:nth-child(2n){
    right: 0;
}
.collaborationStep:nth-child(1){
    top: 5%;
}
.collaborationStep:nth-child(2){
    top: 20%;
}
.collaborationStep:nth-child(3){
    top: 35%;
}
.collaborationStep:nth-child(4){
    top: 50%;
}
.collaborationStep:nth-child(5){
    top: 65%;
}
.collaborationStep:nth-child(6){
    top: 80%;
}
#contact h2{
    font-size: 2.5em;
}
#contact .subcontainer:first-child img{
    width: 100%;
    height: auto;
}
#contact .container, #contact .subcontainer{
    min-height: 70vh;
}
#contact form{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 10px;
}
#contact form .input-group, #contact form textarea{
    width: 100%;
}
#contact form textarea{
    resize: none;
    height: 100px;
}

footer{
    height: 200px;
    width: 100%;
    background-color: var(--COLOR_1);
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--COLOR_5);
}
footer a{
    color: var(--COLOR_5);
    cursor: pointer;
}


button {
    font-family: inherit;
    font-size: 20px;
    background: var(--COLOR_1);
    color: white;
    padding: 0.7em 1em;
    padding-left: 0.9em;
    display: flex;
    align-items: center;
    border: none;
    border-radius: 16px;
    overflow: hidden;
    transition: all 0.2s;
    cursor: pointer;
  }
  
  button span {
    display: block;
    margin-left: 0.3em;
    transition: all 0.3s ease-in-out;
  }
  
  button svg {
    display: block;
    transform-origin: center center;
    transition: transform 0.3s ease-in-out;
  }
  
  button:hover .svg-wrapper {
    animation: fly-1 0.6s ease-in-out infinite alternate;
  }
  
  button:hover svg {
    transform: translateX(1.2em) rotate(45deg) scale(1.1);
  }
  
  button:hover span {
    transform: translateX(5em);
  }
  
  button:active {
    transform: scale(0.95);
  }
  
  @keyframes fly-1 {
    from {
      transform: translateY(0.1em);
    }
  
    to {
      transform: translateY(-0.1em);
    }
  }

  .input-group {
    position: relative;
   }
   
   .input {
    border: solid 1.5px var(--COLOR_6);
    border-radius: 1rem;
    background: none;
    padding: 1rem;
    font-size: 1rem;
    color: var(--COLOR_1);
    transition: border 150ms cubic-bezier(0.4,0,0.2,1);
   }
   
   .user-label {
    position: absolute;
    left: 15px;
    color: #e8e8e8;
    pointer-events: none;
    transform: translateY(1rem);
    transition: 150ms cubic-bezier(0.4,0,0.2,1);
   }
   
   .input:focus, input:valid {
    outline: none;
    border: 1.5px solid var(--COLOR_1);
   }
   
   .input:focus ~ label, input:valid ~ label {
    transform: translateY(-50%) scale(0.8);
    background-color: var(--COLOR_5);
    padding: 0 .2em;
    color: var(--COLOR_1);
   }

@media screen and (max-width:1000px) {
    section h2{
        max-width: 80%;
    }
    .logo-wrapper{
        height: 60px !important;
    }
    .hamburger{
        display: block;
        height: 30px;
        width: 30px;
    }
    .line{
        display: block;
        height: 3px;
        margin-top: 7px;
        margin-bottom: 7px;
        background-color: var(--COLOR_7);
        width: 100%;
        border-radius: 15px;
    }
    #line1{
        transform-origin: 0% 0%;
        transition: transform 0.4s ease-in-out;
    }
    #line2{
        transition: transform 0.2s ease-in-out;
    }
    #line3{
        transform-origin: 0% 100%;
        transition: transform 0.4s ease-in-out;
    }
    .navigation-controls-wrapper{
        display: none;
        position: absolute;
        background-color: var(--COLOR_5);
        width: 100%;
        top: 90px;
        left: 0;
        padding-top: 50px;
        padding-bottom: 50px;
        box-shadow: 0px 5px 5px var(--COLOR_6);
        z-index: 2;
        
    }
    .navigation-controls-wrapper ul{
        flex-direction: column;
        align-items: center;
        justify-content: space-around;
        font-size: 1.2em;
    }
    .container{
        flex-direction: column;
        width: 100%;
        padding: 32px 14px;
        gap: 50px;
    }
    #home .container{
        max-width: 100% !important;
    }
    .subcontainer{
        width: 100%;
        height: fit-content;
        min-height: fit-content;
    }
    .hero-heading{
        font-size: 3em;
    }
    .hero-subheading{
        font-size: 1.5em;
    }
    #about{
        padding-top: 100px;
        gap: 100px;
        padding-bottom: 50vh;
    }
    #about .container{
        gap: 100px;
    }
    #about .container .subcontainer{
        width: 100%;
        gap: 50px;
    }
    #break h1{
        font-size: 3em;
    }
    #clients, #clients .container{
        gap: 100px;
    }
    #clients .subcontainer{
        min-height: fit-content;
    }
    #collaboration, .timeLineWrapper{
        height: fit-content;
    }
    .timeLine{
        display: none;
    }
    .timeLineEvent{
        width: 100%;
        position: static;
    }
    .timeLineWrapper{
        flex-direction: column;
        align-items: center;
        gap: 50px;
        padding: 0 2rem;
    }
    #contact{
        gap: 100px;
        padding-top:100px;
    }
    #contact .subcontainer{
        min-height: fit-content;
        gap: 100px;
    }
    #contact form input{
        width: 100%;
    }
    #contact form{
        align-items: end;
    }
}
@media screen and (min-width:500px) and (max-width:1000px) {
    .container, #home .container, #about .container{
        max-width: 80% !important;
    }
    .hero-heading{
        font-size: 4em;
    }
}
.hidden{
    display: none !important;
}
@keyframes fadeIn {
    from {
      opacity: 0;
      transform: translateY(50px);
    }
    to {
      opacity: 1;
      transform: translateY(0); /* Bring the element back to its original position */
    }
  }
  @keyframes fadeInUp {
    from {
      opacity: 0;
      transform: translateY(-50px);
    }
    to {
      opacity: 1;
      transform: translateY(0); /* Bring the element back to its original position */
    }
  }
  @keyframes fadeOutUp {
    from {
      opacity: 1;
      transform: translateY(0);
    }
    to {
      opacity: 0;
      transform: translateY(-50px); /* Move the element 50px up */
    }
  }
  @keyframes fadeOutDown {
    from {
      opacity: 1;
      transform: translateY(0);
    }
    to {
      opacity: 0;
      transform: translateY(50px); /* Move the element 50px up */
    }
  }
  .fade-out {
    opacity: 1;
    transform: translateY(0);
    animation: fadeOutUp 0.3s ease forwards;
  }
  .fade-out-down {
    opacity: 1;
    transform: translateY(0);
    animation: fadeOutDown 0.3s ease forwards;
  }
  
  .fade-in {
    opacity: 0;
    transform: translateY(50px);
    animation: fadeIn 1.5s ease forwards;
  }
  .fade-in-up {
    opacity: 0;
    transform: translateY(50px);
    animation: fadeInUp 1.5s ease forwards;
  }